kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
  resourceVersion: '50995'
  name: windows-machine-config-operator
  uid: 8c0a6f12-8b76-47bc-b250-8d128345eb5f
  creationTimestamp: '2025-08-19T15:04:44Z'
  generation: 1
  managedFields:
    - manager: olm
      operation: Update
      apiVersion: apps/v1
      time: '2025-08-19T15:04:45Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:olm.deployment-spec-hash': {}
            'f:olm.managed': {}
            'f:olm.owner': {}
            'f:olm.owner.kind': {}
            'f:olm.owner.namespace': {}
            'f:operators.coreos.com/windows-machine-config-operator.openshift-windows-machine-confi': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"38ea93e1-c7ac-443e-a96f-8b37c61db4c8"}': {}
        'f:spec':
          'f:progressDeadlineSeconds': {}
          'f:replicas': {}
          'f:revisionHistoryLimit': {}
          'f:selector': {}
          'f:strategy':
            'f:rollingUpdate':
              .: {}
              'f:maxSurge': {}
              'f:maxUnavailable': {}
            'f:type': {}
          'f:template':
            'f:metadata':
              'f:annotations':
                'f:kubectl.kubernetes.io/default-container': {}
                'f:features.operators.openshift.io/csi': {}
                'f:features.operators.openshift.io/token-auth-aws': {}
                'f:features.operators.openshift.io/cnf': {}
                'f:olm.operatorNamespace': {}
                'f:features.operators.openshift.io/cni': {}
                'f:createdAt': {}
                'f:features.operators.openshift.io/proxy-aware': {}
                'f:alm-examples': {}
                'f:description': {}
                'f:olm.operatorGroup': {}
                'f:capabilities': {}
                'f:features.operators.openshift.io/fips-compliant': {}
                'f:olm.skipRange': {}
                .: {}
                'f:operators.openshift.io/valid-subscription': {}
                'f:categories': {}
                'f:operatorframework.io/suggested-namespace': {}
                'f:operators.operatorframework.io/project_layout': {}
                'f:features.operators.openshift.io/disconnected': {}
                'f:features.operators.openshift.io/tls-profiles': {}
                'f:certified': {}
                'f:operatorframework.io/properties': {}
                'f:features.operators.openshift.io/token-auth-azure': {}
                'f:operators.operatorframework.io/builder': {}
                'f:features.operators.openshift.io/token-auth-gcp': {}
                'f:support': {}
                'f:olm.targetNamespaces': {}
                'f:operatorframework.io/cluster-monitoring': {}
                'f:repository': {}
              'f:labels':
                .: {}
                'f:name': {}
            'f:spec':
              'f:containers':
                'k:{"name":"manager"}':
                  'f:image': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:limits':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:args': {}
                  'f:command': {}
                  'f:env':
                    .: {}
                    'k:{"name":"OPERATOR_CONDITION_NAME"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"OPERATOR_NAME"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"POD_NAME"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:fieldRef': {}
                    'k:{"name":"WATCH_NAMESPACE"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:fieldRef': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:ports':
                    .: {}
                    'k:{"containerPort":9182,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:name': {}
                      'f:protocol': {}
                  'f:name': {}
              'f:dnsPolicy': {}
              'f:tolerations': {}
              'f:priorityClassName': {}
              'f:serviceAccount': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:hostNetwork': {}
              'f:nodeSelector': {}
              'f:terminationGracePeriodSeconds': {}
              'f:serviceAccountName': {}
              'f:securityContext': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2025-08-19T15:05:00Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:deployment.kubernetes.io/revision': {}
        'f:status':
          'f:availableReplicas': {}
          'f:conditions':
            .: {}
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:observedGeneration': {}
          'f:readyReplicas': {}
          'f:replicas': {}
          'f:updatedReplicas': {}
      subresource: status
  namespace: openshift-windows-machine-config-operator
  ownerReferences:
    - apiVersion: operators.coreos.com/v1alpha1
      kind: ClusterServiceVersion
      name: windows-machine-config-operator.v10.19.0
      uid: 38ea93e1-c7ac-443e-a96f-8b37c61db4c8
      controller: false
      blockOwnerDeletion: false
  labels:
    olm.deployment-spec-hash: 7gm5Vzmxp3usnrnBmufHp87BVdFT0va3uOEyfU
    olm.managed: 'true'
    olm.owner: windows-machine-config-operator.v10.19.0
    olm.owner.kind: ClusterServiceVersion
    olm.owner.namespace: openshift-windows-machine-config-operator
    operators.coreos.com/windows-machine-config-operator.openshift-windows-machine-confi: ''
spec:
  replicas: 1
  selector:
    matchLabels:
      name: windows-machine-config-operator
  template:
    metadata:
      creationTimestamp: null
      labels:
        name: windows-machine-config-operator
      annotations:
        olm.skipRange: '>=10.18.0 <10.19.0'
        features.operators.openshift.io/token-auth-azure: 'false'
        operators.openshift.io/valid-subscription: '["Red Hat OpenShift support for Windows Containers"]'
        operators.operatorframework.io/builder: operator-sdk-v1.32.0
        features.operators.openshift.io/token-auth-gcp: 'false'
        operators.operatorframework.io/project_layout: go.kubebuilder.io/v3
        certified: 'false'
        olm.targetNamespaces: openshift-windows-machine-config-operator
        operatorframework.io/properties: '{"properties":[{"type":"olm.package","value":{"packageName":"windows-machine-config-operator","version":"10.19.0"}}]}'
        repository: 'https://github.com/openshift/windows-machine-config-operator'
        features.operators.openshift.io/token-auth-aws: 'false'
        support: Red Hat
        operatorframework.io/cluster-monitoring: 'true'
        alm-examples: '[]'
        kubectl.kubernetes.io/default-container: manager
        capabilities: Seamless Upgrades
        features.operators.openshift.io/csi: 'false'
        features.operators.openshift.io/fips-compliant: 'true'
        features.operators.openshift.io/cnf: 'false'
        olm.operatorNamespace: openshift-windows-machine-config-operator
        createdAt: '2025-08-13T17:14:48Z'
        features.operators.openshift.io/cni: 'true'
        categories: OpenShift Optional
        features.operators.openshift.io/proxy-aware: 'true'
        operatorframework.io/suggested-namespace: openshift-windows-machine-config-operator
        description: An operator that enables Windows container workloads on OCP
        olm.operatorGroup: openshift-windows-machine-config-operator-875sw
        features.operators.openshift.io/disconnected: 'true'
        features.operators.openshift.io/tls-profiles: 'false'
    spec:
      nodeSelector:
        node-role.kubernetes.io/master: ''
      restartPolicy: Always
      serviceAccountName: windows-machine-config-operator
      schedulerName: default-scheduler
      hostNetwork: true
      terminationGracePeriodSeconds: 10
      securityContext: {}
      containers:
        - resources:
            limits:
              cpu: 200m
              memory: 1Gi
            requests:
              cpu: 20m
              memory: 300Mi
          terminationMessagePath: /dev/termination-log
          name: manager
          command:
            - windows-machine-config-operator
          env:
            - name: WATCH_NAMESPACE
              valueFrom:
                fieldRef:
                  apiVersion: v1
                  fieldPath: 'metadata.annotations[''olm.targetNamespaces'']'
            - name: POD_NAME
              valueFrom:
                fieldRef:
                  apiVersion: v1
                  fieldPath: metadata.name
            - name: OPERATOR_NAME
              value: windows-machine-config-operator
            - name: OPERATOR_CONDITION_NAME
              value: windows-machine-config-operator.v10.19.0
          ports:
            - name: https
              containerPort: 9182
              protocol: TCP
          imagePullPolicy: IfNotPresent
          terminationMessagePolicy: File
          image: 'registry.redhat.io/openshift4-wincw/windows-machine-config-rhel9-operator@sha256:c47759b1e4ec297099197b4e5504b58e6fb89b53cc323b488bcd516f0be68c6f'
          args:
            - '--metrics-bind-address=0.0.0.0:9182'
            - $(ARGS)
      serviceAccount: windows-machine-config-operator
      dnsPolicy: ClusterFirstWithHostNet
      tolerations:
        - key: node-role.kubernetes.io/master
          operator: Exists
          effect: NoSchedule
        - key: node.kubernetes.io/unreachable
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 120
        - key: node.kubernetes.io/not-ready
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 120
      priorityClassName: system-cluster-critical
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 1
  progressDeadlineSeconds: 600
status:
  observedGeneration: 1
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2025-08-19T15:05:00Z'
      lastTransitionTime: '2025-08-19T15:05:00Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2025-08-19T15:05:00Z'
      lastTransitionTime: '2025-08-19T15:04:45Z'
      reason: NewReplicaSetAvailable
      message: ReplicaSet "windows-machine-config-operator-6974bd7c4" has successfully progressed.
